# $Revision: 1.71 $, $Date: 2002/11/15 16:55:35 $
Summary:	Guppi - GNOME Plotting Engine
Summary(cs):	Analza a vizualizace dat pod GNOME
Summary(da):	Gnome-vrktj for analyse og visualisering af data
Summary(de):	GNOME Datenanalyse und -anzeige
Summary(es):	Anlisis y Visualizacin de Datos de Gnome
Summary(fr):	Analyseur et visualiseur de donnes de Gnome
Summary(it):	Analisi e Visualizzazione Dati GNOME
Summary(ja):	GNOME ١ΥǡϤӻв
Summary(no):	GNOME-verkty for analyse og visualisering av data
Summary(pl):	Guppi - Silnik Rysujcy GNOME
Summary(pt_BR):	Analisador e visualizador de dados do GNOME
Summary(sl):	Analiza podatkov in vizualizacija v GNOME
Summary(sv):	GNOME dataanalys och -visualisering
Summary(zh_CN):	Guppi - GNOMEʽݷ
Name:		Guppi
Version:	0.40.3
Release:	9
Epoch:		2
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/Guppi/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-am_ac.patch
Patch1:		%{name}-am_hack.patch
URL:		http://www.gnome.org/guppi/
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	flex
BuildRequires:	gdk-pixbuf-gnome-devel >= 0.8.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	gtk+-devel > 1.2.0
BuildRequires:	intltool
BuildRequires:	libglade-gnome-devel
BuildRequires:	libxml-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	gnumeric >= 1.0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	ghostscript-fonts-std
Obsoletes:	libguppi15

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Guppi is an easy-to-use graphical interface for plotting data and
performing statistical manipulations.

%description -l cs
Guppi je nstroj pro analzu a vizualizaci dat pro Gnome.

%description -l da
Guppi er et Gnome-baseret vrktj for analyse og visualisering af
data.

%description -l de
Guppi ist ein GNOME-basiertes System zur Datenanalyse und -anzeige.

%description -l es
Guppi es un sistema de anlisis y visualizacin de datos basado en
Gnome.

%description -l fr
Guppi est un analyseur de donnes et un systme de visualisation bas
sur Gnome.

%description -l it
Guppi  un sistema di analisi e visualizzazione dati basato su GNOME.

%description -l ja
Guppi  GNOME ١ΥǡϤӻвƥǤ

%description -l no
Guppi er et GNOME-basert verkty for analyse og visualisering av data.

%description -l pl
Guppi jest atwym w uyciu graficznym interfejsem do rysowania
wykresw i oblicze statystycznych.

%description -l pt_BR
Este pacote contm o Guppi, um analisador e visualizador de dados
baseado no GNOME.

%description -l sv
Guppi r ett GNOME-baserad dataanalys- och -visualiseringssystem.

%package devel
Summary:	Guppi include files
Summary(cs):	Hlavikov soubory pro vvoj aplikac s Guppi
Summary(de):	Include-Dateien zur Entwicklung von Guppi-basierten Anwendungen
Summary(es):	Ficheros de inclusin para el desarrollo de aplicaciones Guppi
Summary(fr):	Fichiers  inclure pour le dveloppement d'applications bases sur Guppi
Summary(id):	File header untuk develop aplikasi Guppi
Summary(is):	Hausaskrr fyrir run  Guppi forritum
Summary(it):	File include per lo sviluppo di applicazioni basate su Guppi
Summary(no):	Headerfiler for utvikling av Guppi-baserte applikasjoner
Summary(pl):	Guppi - pliki nagwkowe
Summary(pt):	Ficheiros de incluso para desenvolver aplicaes do Guppi
Summary(pt_BR):	Arquivos de incluso para desenvolvimento
Summary(ru):	     Guppi
Summary(sk):	Hlavikov sbory pre vvoj Guppi aplikci
Summary(sl):	Glave za razvoj programov z Guppi
Summary(sv):	Huvudfiler fr att utveckla Guppi-baserade tillmpningar
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libguppi15-devel

%description devel
Header files for Guppi.

%description devel -l cs
Balek obsahuje hlavikov soubory pro vvoj aplikac pouvajcch
Guppi (GNOME Data Analysis and Visualization).

%description devel -l da
Guppi-devel indeholder headerfiler for udvikling af programmer som
bruger rutiner fra Guppi.

%description devel -l de
Das Paket Guppi-devel enthlt Header-Dateien fr die Entwicklung
mithilfe von Guppi.

%description devel -l es
El paquete Guppi-devel contiene ficheros de cabecera necesarios para
desarrollar Guppi.

%description devel -l fr
Le paquetage Guppi-devel contient fichiers d'en-tte ncessaires au
dveloppement  l'aide de Guppi.

%description devel -l id
File header yang dibutuhkan untuk develop aplikasi Guppi.

%description devel -l is
essi pakki inniheldur hausaskrr til runar Guppi bilurum.

%description devel -l it
Il pacchetto Guppi-devel include i file header necessari per lo
sviluppo mediante Guppi.

%description devel -l no
Guppi-devel inneholder headerfiler for utvikling av applikasjoner som
bruker rutiner fra Guppi.

%description devel -l pl
Pliki nagwkowe do Guppi.

%description devel -l pt_BR
Este pacote contm os arquivos necessrios para desenvolvimento com o
Guppi.

%description devel -l ru
 Guppi-devel   ,  
    Guppi.

%description devel -l sk
Hlavikov sbory potrebn pre vvoj Guppi.

%description devel -l sl
Razvojni paket Guppi. Vsebuje glave, potrebne za razvijanje z Guppi.

%description devel -l sv
Paketet Guppi-devel innehller huvudfilerna som behvs fr utveckling
av med Guppi.

%package static
Summary:	Guppi static libraries
Summary(cs):	Statick knihovny pro vvoj aplikac s Guppi
Summary(da):	Statiske biblioteker for udvikling af Guppi-baserede programmer
Summary(de):	Statischen Bibliotheken zur Entwicklung von Guppi-basierten Anwendungen
Summary(es):	Bibliotecas estticas para el desarrollo de aplicaciones Guppi
Summary(fr):	Bibliothques statiques pour le dveloppement d'applications bases sur Guppi
Summary(id):	Static library untuk develop aplikasi Guppi
Summary(is):	Agerasfn fyrir run  Guppi forritum
Summary(it):	Librerie statiche per lo sviluppo di applicazioni basate su Guppi
Summary(no):	Statiske biblioteker for utvikling av Guppi-baserte applikasjoner
Summary(pl):	Biblioteki statyczne Guppi
Summary(pt):	Bibliotecas estticas para desenvolver aplicaes do Guppi
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com Guppi
Summary(ru):	     Guppi
Summary(sk):	Statick kninice pre vvoj Guppi aplikci
Summary(sl):	Statine knjinice za razvoj programov z Guppi
Summary(sv):	Statiska bibliotek fr att utveckla Guppi-baserade tillmpningar
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Guppi static libraries.

%description static -l cs
Balek obsahuje statick knihovny pro vvoj aplikac pouvajcch
Guppi (GNOME Data Analysis and Visualization).

%description static -l da
Guppi-static indeholder statiske bibliotek for udvikling af programmer
som bruger rutiner fra Guppi.

%description static -l de
Das Paket Guppi-static enthlt die statischen Bibliotheken fr das
Guppi-Paket.

%description static -l es
El paquete Guppi-static contiene las bibliotecas estticas para el
paquete Guppi.

%description static -l fr
Le paquetage Guppi-static contient les bibliothques statiques pour le
paquetage Guppi.

%description devel -l id
Static library yang dibutuhkan untuk develop aplikasi Guppi.

%description devel -l is
essi pakki inniheldur agerasfn til runar Guppi bilurum.

%description static -l it
Il pacchetto Guppi-static include le librerie statiche per il
pacchetto Guppi.

%description static -l no
Guppi-static inneholder statiske bibliotek for utvikling av
applikasjoner som bruker rutiner fra Guppi.

%description static -l pl
Biblioteki statyczne Guppi.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento baseado no Guppi.

%description static -l ru
 Guppi-static     
   Guppi.

%description static -l sk
Statick kninice potrebn pre vvoj Guppi.

%description static -l sl
Paket Guppi-static vsebuje statine knjinice, potrebne za razvijanje
z Guppi.

%description static -l sv
Paketet Guppi-static innehller de statiska biblioteken fr paketet
Guppi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
xml-i18n-toolize --copy --force
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	--enable-shlib-factory \
	--enable-gnumeric

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	appdir=%{_applnkdir}/Graphics \
	aclocaldir=%{_aclocaldir}

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BIBLIOGRAPHY ChangeLog NEWS README
#%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/guppi-gnumeric.so
%dir %{_libdir}/guppi
%dir %{_libdir}/guppi/plug-ins
%dir %{_libdir}/guppi/plug-ins/%{version}
%dir %{_libdir}/guppi/plug-ins/%{version}/*
%dir %{_libdir}/guppi/plug-ins/%{version}/*/*
%{_libdir}/guppi/plug-ins/%{version}/*/*/*.plugin
%{_libdir}/guppi/plug-ins/%{version}/*/*/*.glade
%{_libdir}/guppi/plug-ins/%{version}/*/*/*.png
%attr(755,root,root) %{_libdir}/guppi/plug-ins/%{version}/*/*/*.so*

%{_datadir}/guppi
%{_datadir}/oaf/*.oaf*
%{_pixmapsdir}/*
#%{_applnkdir}/Graphics/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/libguppiConf.sh
%{_includedir}/gnome-*/*
%{_aclocaldir}/*.m4

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: Guppi.spec,v $
Revision 1.71  2002/11/15 16:55:35  kloczek
- release 9,
- add --enable-shlib-factory to autoconf parameters for produce correct
  GNOME_Guppi_Gnumeric.oaf file - with this fix and fixed oaf package
  using embeding Guppi plots work correctly for example in gnumeric,
- fixed %files (added missing %%{_libdir}/guppi-gnumeric.so).

Revision 1.70  2002/09/29 17:59:35  kloczek
- comment also files in %%{_bindir}.

Revision 1.69  2002/09/29 16:56:40  kloczek
- do not install desktop file (Guppi is now only bonobo component not standalone program).

Revision 1.68  2002/09/29 16:08:27  kloczek
- release 8: fix building on current ac/am (added am_hack patch).

Revision 1.67  2002/08/06 12:08:59  qboosh
- BR: gdk-pixbuf-gnome-devel, libglade-gnome-devel

Revision 1.66  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.65  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.64  2002/05/25 09:15:52  kloczek
- release 7: merge translations from TurboLinux and use use %doc infrastructure.

Revision 1.63  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.62  2002/04/20 10:26:19  trojan
- revert %%ghost from %%files

Revision 1.61  2002/04/17 12:46:59  trojan
- added %%ghost lib*.so.x (they're created by ldconfig)
- release 5; STBR

Revision 1.60  2002/03/31 00:28:39  filon
- does not require guile nor python
- cosmetics
- release 5, STBR

Revision 1.59  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.58  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.57  2002/02/12 00:59:30  ankry
- modified some translations; adapterized
- release 4

Revision 1.56  2002/02/11 02:00:08  kloczek
- release 3.

Revision 1.55  2002/02/10 20:21:59  ankry
- added some (adapterized) Summary/descriptions from RH 7.2 (specpo)

Revision 1.54  2002/02/06 03:41:01  kloczek
- release 2: rebuild against python 2.2.

Revision 1.53  2002/02/03 20:50:58  ankry
- adding es/pt/pt_BR Group translations

Revision 1.52  2002/01/25 20:19:51  blues
- Epoch is back!!!

Revision 1.51  2002/01/25 19:23:36  misiek
- more requires

Revision 1.50  2002/01/25 13:43:18  misiek
- updated to 0.40.3

Revision 1.49  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2002/01/17 16:59:04  filon
- moved libguppiConf.sh to devel
- added *.la files to devel
- added oafinfo file to main (please use *.oaf*, not *.oaf in packages using oaf)
- release 5

Revision 1.47  2002/01/13 23:30:45  misiek
- rebuild against gal 0.19; release 4

Revision 1.46  2002/01/12 03:54:49  misiek
- include oaf file; release 3

Revision 1.45  2002/01/12 03:35:16  misiek
- BR: gnumeric

Revision 1.44  2002/01/06 14:23:36  kloczek
- %%{_datadir}/oaf removed from %files.

Revision 1.43  2002/01/06 13:50:54  kloczek
- typo.

Revision 1.42  2002/01/06 12:28:57  kloczek
- updated to 0.40.2,
- added missing desktop file,
- libguppi15{,-devel} added to Obsletes for allow update from MDK.

Revision 1.41  2001/11/27 21:10:08  mkochano
- Release 2.
- devel subpackage Reguires: python-devel. Reason:
  gnome-config --libs gtk libguppi
  returns -lpython2.1

Revision 1.40  2001/11/12 15:04:53  wrobell
- use standard python macros

Revision 1.39  2001/10/22 11:39:59  qboosh
- acfix patch: remove non-existant Makefile.* from OUTPUT list; builds now

Revision 1.38  2001/10/20 00:20:30  kloczek
- merged some translations from CNV.

Revision 1.37  2001/10/19 19:13:33  kura
- updated to 0.40.0
- removed DESTDIR patch (included in current version of Guppi)

Revision 1.36  2001/09/03 09:59:52  qboosh
- rest of pl translations

Revision 1.35  2001/07/04 21:16:36  kloczek
- release 6, Epoch: 2.

Revision 1.34  2001/06/15 10:27:40  misiek
- pass CPPFLAGS

Revision 1.33  2001/06/15 08:47:12  misiek
- rebuild with new python libs

Revision 1.32  2001/05/30 12:30:35  blues
- Release 4
- Added missing libguppiConf.sh and oaf dir
NOTE: next pdksh broken aplication...

Revision 1.31  2001/05/29 10:20:45  wrobell
- builds with Python 2.1 so release up

Revision 1.30  2001/05/28 23:07:02  kloczek
- release 2.

Revision 1.29  2001/05/28 22:40:54  blues
- added xml-i18n-tools to BuildRequires and Gnumeric support enabled

Revision 1.28  2001/05/13 01:59:03  kloczek
- updated to 0.35.5.

Revision 1.27  2001/04/23 15:52:00  kloczek
- release 2: rebuild against gnome-print 0.28.

Revision 1.26  2001/04/18 09:42:44  kloczek
- update to 0.35.3 and rebuild against readline 4.2.

Revision 1.25  2001/03/16 11:53:04  roman
- added esound-devel to Buildrequires

Revision 1.24  2001/03/16 11:51:33  roman
- changed BuildRequires: gdk-pixbuf-devel to gdk-pixbuf-devel >= 0.8.0

Revision 1.23  2001/03/16 11:48:26  roman
- added gdk-pixbuf-devel to Buildrequires

Revision 1.22  2001/02/02 17:50:32  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.21  2001/01/22 15:26:27  kloczek
- release 2,
- added regenerating autoconf, automake files in %build for allow build in
  automake 1.4b enviroment (automak, autoconf added to BuildRequires).

Revision 1.20  2000/12/22 07:18:23  kloczek
- updated to 0.35.2.

Revision 1.19  2000/12/21 22:14:47  kloczek
- s/*lib.so*/*.so*/ in %files.

Revision 1.18  2000/12/21 22:12:12  kloczek
- removed static subpackage.

Revision 1.17  2000/12/21 21:36:21  kloczek
- updated %files for plugins.

Revision 1.16  2000/12/21 21:07:14  kloczek
- added flex to buildrequires.

Revision 1.15  2000/12/21 19:31:20  kloczek
- updated to 0.35.1.

Revision 1.14  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/07/13 23:02:49  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.12  2000/07/13 20:42:13  baggins
- release 2

Revision 1.11  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.8  2000/05/08 23:45:44  kloczek
- added python-devel to BuildRequires rules.

Revision 1.7  2000/05/08 23:45:05  kloczek
- updated to 0.34.5,
- added --all-name to %%find_lanf,
- use gettextize for fix problems on DESTDIR style install .mo files.

Revision 1.6  2000/04/15 16:56:48  kloczek
- updated to 0.34.4,
- updated BuildRequires (gnome-print-devel >= 0.13.0),
- removed applnk patch (pace desktop file in applnk tree without patching
  source code).

Revision 1.5  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 02:53:10  kloczek
- completly rewrited in PLD style,
- added devel and static subpackage,
- updated to 0.34.3.

* Mon Feb 28 2000 Kenny Graunke <graunke@teleport.com>
- Upgrade to 0.34.2 (which turns off readline, thank goodness)

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>
- This 0.34.1-1rl enables readline. If Guppi complains about undefined symbols
  in libguilereadline.so when you start it, get the readline disabled RPM.

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>
- Updated to 0.34.1 (using repackaged source, ugh), spec file rewrite
- This 0.34.1 source disables readline due to broken libguilereadline.so
  problems in every guile 1.3.4 x86 RPM I've seen...

* Wed Jan 26 2000 Conrad Steenberg <conrad@srl.caltech.edu>
- Some Alpha fixes for configure
- Remove some unneeded stripping foo and just do a 'make install-strip' instead.
- Move this changelog to the bottom of the file :-)

* Mon Jan 24 2000 Kenny Graunke <graunke@teleport.com>
- First Guppi RPM
